classification
Title: polishing asyncio Streams API
Type: behavior Stage: resolved
Components: asyncio Versions: Python 3.8
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: asvetlov Nosy List: aeros, asvetlov, cjrh, lukasz.langa, xtreak, yselivanov
Priority: release blocker Keywords: patch

Created on 2019-09-13 17:11 by yselivanov, last changed 2019-09-30 05:35 by aeros. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16148 closed asvetlov, 2019-09-14 18:19
Messages (3)
msg352372 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2019-09-13 17:11
Summary of discussion at https://github.com/python-trio/trio/issues/1208:

* `asyncio.Stream.write()` will start throwing a `DeprecationWarning` asking people to add an `await` if they didn't;

* `asyncio.Stream.close()` will start throwing a `DeprecationWarning` asking people to add an `await` if they didn't;

* `asyncio.Stream.drain()` & `asyncio.Stream.wait_closed()` will start throwing a `DeprecationWarning` telling about a scheduled removal (in Python 3.12) when used on `Process.std*` streams;

* `asyncio.Stream.drain()` & `asyncio.Stream.wait_closed()` will not work at all on Streams created via new 3.8 APIs: `connect()` & `StreamServer`.
msg353493 - (view) Author: Kyle Stanley (aeros) * (Python committer) Date: 2019-09-29 09:42
This should no longer be a release blocker for 3.8 with the reversion of the new asyncio streaming API in GH-16455.
msg353542 - (view) Author: Kyle Stanley (aeros) * (Python committer) Date: 2019-09-30 05:35
Closed by the new asyncio stream API reversion in GH-16485 and GH-16482.
History
Date User Action Args
2019-09-30 05:35:08aerossetstatus: open -> closed

messages: + msg353542
stage: patch review -> resolved
2019-09-30 00:36:16cjrhsetnosy: + cjrh
2019-09-29 09:42:43aerossetnosy: + aeros
messages: + msg353493
2019-09-14 18:19:19asvetlovsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request15758
2019-09-13 17:12:29xtreaksetnosy: + xtreak
2019-09-13 17:11:51yselivanovsettitle: poloshing asyncio Streams API -> polishing asyncio Streams API
2019-09-13 17:11:32yselivanovcreate